Get a time-series for a named metric
GET
/metrics/timeseries
const url = 'https://shoehorn.example.com/api/v1/metrics/timeseries?metric=response_time&range=1h';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/metrics/timeseries?metric=response_time&range=1h'Returns timestamps and values for a single metric over a window. Currently generates synthetic data; treat the shape as stable but the values as illustrative until the Prometheus backend lands.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” metric
required
string
range
string
Responses
Section titled “ Responses ”Time-series data
Media type application/json
object
metric
string
timeRange
string
timestamps
Array<string>
values
Array<number>
Example generated
{ "metric": "example", "timeRange": "example", "timestamps": [ "2026-04-15T12:00:00Z" ], "values": [ 1 ]}Metric query parameter missing